低危 在Ansible Engine 2.7.17和更早版本,2.8.9和更早版本,2.9.6和更早版本中发现了竞争条件漏洞

CVE编号

CVE-2020-1733

利用情况

暂无

补丁情况

官方补丁

披露时间

2020-03-12 08:15:00
漏洞描述
在以无特权的用户身份运行剧本时,在Ansible Engine 2.7.17和更早版本,2.8.9和更早版本,2.9.6和更早版本中发现了竞争条件缺陷。当Ansible需要以成为用户的身份运行模块时,会在/ var / tmp中创建临时目录。该目录是使用“ umask 77 && mkdir -p <dir>”创建的;如果目录已经存在并且由另一个用户拥有,则此操作不会失败。攻击者可能会利用对成为用户的控制权,因为可以通过迭代'/proc/<pid>/cmdline'来检索目标目录。
解决建议
厂商尚未提供漏洞修复方案,请关注厂商主页更新:
https://www.ansible.com/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat ansible * Up to
(including)
2.7.16
运行在以下环境
应用 redhat ansible * From
(including)
2.8.0
Up to
(excluding)
2.8.8
运行在以下环境
应用 redhat ansible * From
(including)
2.9.0
Up to
(including)
2.9.5
运行在以下环境
应用 redhat ansible_tower * Up to
(including)
3.3.4
运行在以下环境
应用 redhat ansible_tower * From
(including)
3.3.5
Up to
(including)
3.4.5
运行在以下环境
应用 redhat ansible_tower * From
(including)
3.5.0
Up to
(including)
3.5.5
运行在以下环境
应用 redhat ansible_tower * From
(including)
3.6.0
Up to
(including)
3.6.3
运行在以下环境
应用 redhat cloudforms_management_engine 5.0 -
运行在以下环境
应用 redhat openstack 13.0 -
2
运行在以下环境
系统 alpine_3.14 ansible * Up to
(excluding)
2.9.7-r0
3
运行在以下环境
系统 fedora_EPEL_8 ansible * Up to
(excluding)
2.9.7-1.el8
4
运行在以下环境
系统 fedora_EPEL_7 ansible * Up to
(excluding)
2.9.7-1.el7
5
运行在以下环境
系统 fedora_EPEL_8 ansible * Up to
(excluding)
2.9.7-1.el8
6
运行在以下环境
系统 fedora_EPEL_7 ansible * Up to
(excluding)
2.9.7-1.el7
7
运行在以下环境
系统 debian_10 ansible * Up to
(excluding)
2.7.7+dfsg-1+deb10u1
8
运行在以下环境
系统 debian_9 ansible * Up to
(excluding)
2.2.1.0-2+deb9u1
9
运行在以下环境
系统 debian_8 ansible * Up to
(excluding)
1.7.2+dfsg-2+deb8u2
10
运行在以下环境
系统 alpine_3.11 ansible * Up to
(excluding)
2.9.7-r0
11
运行在以下环境
系统 alpine_3.10 ansible * Up to
(excluding)
2.8.11-r0
12
运行在以下环境
系统 alpine_3.12 ansible * Up to
(excluding)
2.9.7-r0
13
运行在以下环境
系统 alpine_3.9 ansible * Up to
(excluding)
2.7.17-r0
14
运行在以下环境
系统 alpine_edge ansible * Up to
(excluding)
2.9.7-r0
15
运行在以下环境
系统 alpine_3.13 ansible * Up to
(excluding)
2.9.7-r0
16
运行在以下环境
系统 fedora_32 ansible * Up to
(excluding)
2.9.7-1.fc32
17
运行在以下环境
系统 fedora_EPEL_8 ansible * Up to
(excluding)
2.9.7-1.el8
18
运行在以下环境
系统 fedora_30 ansible * Up to
(excluding)
2.9.7-1.fc30
19
运行在以下环境
系统 fedora_31 ansible * Up to
(excluding)
2.9.7-1.fc31
20
运行在以下环境
系统 fedora_EPEL_7 ansible * Up to
(excluding)
2.9.7-1.el7
阿里云评分
3.4
  • 攻击路径
    本地
  • 攻击复杂度
    困难
  • 权限要求
    普通权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-377 不安全的临时文件
CWE-668 将资源暴露给错误范围
阿里云安全产品覆盖情况